Update 1.9.13 -- can I skip it?

  • 1
  • Question
  • Updated 2 years ago
  • Answered
New to Flex world. Got my 6300 just a couple of months ago. When I did my first update (to 1.9.9) it was a real hassle -- needed to do Tim's total uninstall and start from scratch to get everything working right on WIN 10. Took a long time, not fun; noticed more gray hairs afterwards.

Should I expect to have go through that every time a new version comes out, even a relatively minor one like 1.9.13 ... or can I just do the major ones? Do I need to update to 1.9.13?

Thanks.
KK9TT
Photo of Joe - KK9TT

Joe - KK9TT

  • 23 Posts
  • 1 Reply Like

Posted 2 years ago

  • 1
Photo of Tim - W4TME

Tim - W4TME, Customer Experience Manager

  • 9153 Posts
  • 3497 Reply Likes
Official Response
Let me answer this definitively.

1.) You are never required to upgrade.
2.) If you ever need support for an issue and you are not on the latest release, you will be required to upgrade to verify that the issue exists on the latest SmaerSDR release.
3.) Normal SmartSDR software upgrades usually do not cause a problem. Windows upgrades (the major ones) do cause issues with the DAX and FlexVSP drivers, but these issues can be easily resolved by reinstalling the DAX drivers or repairing the FlexVSP drivers (the instructions are available via the HlepDesk)
4.) When you install a new version of SmartSDR for Windows, it is a best practice to do a full export of your profiles beforehand to ensure you have a valid copy just in case something happens.
5.) Do NOT uninstall DAX or the FlexVSP driver unless explicitly instructed to do so.  It is usually not necessary.
6.) If you plan to uninstall an older version(s) of SmartSDR, do it before installing the latest version.
(Edited)